%define pypi_name python_mimeparse

Name:           python-mimeparse
Version:        2.0.0
Release:        %mkrel 2
Group:          Development/Python
Summary:        Python module for parsing mime-type names
License:        MIT
URL:            https://pypi.org/project/python-mimeparse
Source0:        %{pypi_source}
BuildArch:      noarch

%description
A module provides basic functions for parsing mime-type names and
matching them against a list of media-ranges.

%package -n python3-mimeparse
Summary:        Python 3 module for parsing mime-type names
Group:          Development/Python

BuildRequires:  python3-devel
Provides:       python3-python-mimeparse = %{version}-%{release}
Obsoletes:      python3-python-mimeparse < %{version}-%{release}

%description -n python3-mimeparse
A module provides basic functions for parsing mime-type names
and matching them against a list of media-ranges.

%prep
%setup -q -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files mimeparse

%files -n python3-mimeparse -f %{pyproject_files}
%license LICENSE
%doc README.rst


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 2.0.0-2.mga10
+ Revision: 2239824
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 daviddavid <daviddavid> 2.0.0-1.mga10
+ Revision: 2156834
- new version: 2.0.0

* Sat Mar 01 2025 wally <wally> 1.6.0-15.mga10
+ Revision: 2155297
- rebuild for python3.13
- rebuild for python3.13

* Tue Dec 12 2023 papoteur <papoteur> 1.6.0-13.mga10
+ Revision: 2017641
- rebuild for python 3.12

* Wed Mar 23 2022 umeabot <umeabot> 1.6.0-12.mga9
+ Revision: 1823644
- Mageia 9 Mass Rebuild

* Wed Feb 23 2022 mrambo3501 <mrambo3501> 1.6.0-11.mga9
+ Revision: 1783778
- rebuild for python-3.10

* Mon Mar 15 2021 wally <wally> 1.6.0-10.mga9
+ Revision: 1703584
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 1.6.0-9.mga8
+ Revision: 1531449
- Mageia 8 Mass Rebuild

* Fri Sep 13 2019 tv <tv> 1.6.0-8.mga8
+ Revision: 1440367
- rebuild for python-3.8
- drop python2 subpkg

* Fri Apr 19 2019 wally <wally> 1.6.0-7.mga7
+ Revision: 1393550
- new version 1.6.0

* Tue Jan 08 2019 tv <tv> 0.1.4-7.mga7
+ Revision: 1352098
- rebuild with python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.1.4-6.mga7
+ Revision: 1289188
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 0.1.4-5.mga7
+ Revision: 1135496
- Rebuild for python 3.6
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Tue Dec 08 2015 philippem <philippem> 0.1.4-3.mga6
+ Revision: 908940
- clean spec, rename python3 module

* Fri Oct 09 2015 daviddavid <daviddavid> 0.1.4-2.mga6
+ Revision: 888610
- rebuild for python 3.5
- use new python macros
- improve Summary
- add doc file

* Tue Sep 01 2015 fwang <fwang> 0.1.4-1.mga6
+ Revision: 871769
- update file list
- update file list
- 0.1.4

* Wed Oct 15 2014 umeabot <umeabot> 0.1.3-5.mga5
+ Revision: 739833
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.1.3-4.mga5
+ Revision: 729071
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.1.3-3.mga5
+ Revision: 688151
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 philippem <philippem> 0.1.3-2.mga5
+ Revision: 632640
- fix files list
+ pterjan <pterjan>
- Rebuild for new Python

* Mon Nov 04 2013 neoclust <neoclust> 0.1.3-1.mga4
+ Revision: 549437
- imported package python-mimeparse

